#
# spec file for package trix
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define unmangled_version 0.230821-0~beta
Name:           trix
Version:		0.230821
Release:        0~beta
Summary:    	clicking on blocks
License:        CC-PDDC
URL:            http://prymula.ct8.pl
Source0:	%{name}-%{unmangled_version}.tar.gz
%if 0%{?suse_version}==1530
BuildRequires:	libSDL2-devel, libSDL2_ttf-devel, libSDL2_image-devel, pkgconfig, pkgconfig(sdl2)
Requires:       libSDL2-2_0-0, libSDL2_ttf-2_0-0, libSDL2_image-2_0-0
%else
BuildRequires:	SDL2-devel, SDL2_ttf-devel, SDL2_image-devel, pkgconfig, pkgconfig(sdl2)
Requires:       SDL2, SDL2_ttf, SDL_image
%endif
BuildArch:	x86_64

%description


%prep
%setup -n %{name}-%{unmangled_version} -n %{name}-%{unmangled_version}

%build
make

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}
mkdir -p %{buildroot}%{_datadir}/trix
mkdir -p %{buildroot}%{_datadir}/trix/img
mkdir -p %{buildroot}%{_datadir}/trix/img/bg

#mkdir -p %{buildroot}/usr
#mkdir -p %{buildroot}/usr/share
mkdir -p %{buildroot}%{_datadir}/applications

#%make_install

install -m 0755 trix %{buildroot}%{_bindir}
install -m 0644 img/trix-icon.png %{buildroot}%{_datadir}/trix/img
install -m 0644 img/trix-icon.bmp %{buildroot}%{_datadir}/trix/img
install -m 0644 img/icons.bmp %{buildroot}%{_datadir}/trix/img
install -m 0644 img/bg/image1.jpeg %{buildroot}%{_datadir}/trix/img/bg
install -m 0644 img/bg/image2.jpeg %{buildroot}%{_datadir}/trix/img/bg
install -m 0644 img/bg/image3.jpeg %{buildroot}%{_datadir}/trix/img/bg
install -m 0644 img/bg/image4.jpeg %{buildroot}%{_datadir}/trix/img/bg
install -m 0644 img/bg/image5.jpeg %{buildroot}%{_datadir}/trix/img/bg
install -m 0644 img/bg/image6.jpeg %{buildroot}%{_datadir}/trix/img/bg
install -m 0644 img/bg/catalogue.txt %{buildroot}%{_datadir}/trix/img/bg
install -m 0644 img/bg/AUTHOR.txt %{buildroot}%{_datadir}/trix/img/bg
install -m 0644 Trix.desktop %{buildroot}/usr/share/applications
install -m 0644 ZapfHumanist.ttf %{buildroot}%{_datadir}/trix



%files
%defattr(0755,root,root)
%{_bindir}/trix
%{_datadir}/trix/
%{_datadir}/trix/img/
%{_datadir}/trix/img/bg/
%defattr(0644,root,root)
%{_datadir}/trix/img/trix-icon.png
%{_datadir}/trix/img/trix-icon.bmp
%{_datadir}/trix/img/icons.bmp
%{_datadir}/trix/img/bg/image1.jpeg
%{_datadir}/trix/img/bg/image2.jpeg
%{_datadir}/trix/img/bg/image3.jpeg
%{_datadir}/trix/img/bg/image4.jpeg
%{_datadir}/trix/img/bg/image5.jpeg
%{_datadir}/trix/img/bg/image6.jpeg
%{_datadir}/trix/img/bg/catalogue.txt
%{_datadir}/trix/img/bg/AUTHOR.txt
%{_datadir}/applications/Trix.desktop
%{_datadir}/trix/ZapfHumanist.ttf

%changelog
